Subject: bug#21057: [PATCH] nnimap.el: add support for IMAP namespaces

From: Nikolaus Rath <[email-masked]>
Date: Fri, 20 Jul 2018 20:16:38 +0100

On Jul 20 2018, Eli Zaretskii <[email-masked]> wrote:
>> From: Nikolaus Rath <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Tue, 17 Jul 2018 20:43:35 +0100
>> 
>> On Sat, 7 Jul 2018, at 10:12, Eli Zaretskii wrote:
>> > > From: Nikolaus Rath <[email-masked]>
>> > > Date: Tue, 03 Jul 2018 08:40:59 +0100
>> > > Cc: Andreas Schwab <[email-masked]>, [email-masked]
>> > > 
>> > > *ping*
>> > > 
>> > > Could someone take a look at the revised patch?
>> > 
>> > Sorry it takes us this long to review your contribution.
>> > 
>> > Lars, any further comments?  If not, I'd like to push this to the
>> > master branch.
>> 
>> Anything I can do to help?
>
> I was going to just apply your changes, but that failed: first, the
> patch includes changes to lisp/ChangeLog, which we no longer have; and
> second, nnimap.el is not in lisp, it's in lisp/gnus/.  I tried to edit
> the patch to fix these issues, but then "git am" still failed claiming
> that the patch wouldn't apply.

Are you sure that you tried to apply the right patch? The patches in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=21057#37 all refer to
lisp/gnus/nnimap.el and do not contain any ChangeLog file:

$ grep diff *.patch
0001-nnimap.el-factor-out-nnimap-group-to-imap.patch:diff --git a/lisp/gnus/nnimap.el b/lisp/gnus/nnimap.el
0002-nnimap.el-Add-support-for-IMAP-namespaces.patch:diff --git a/doc/misc/gnus.texi b/doc/misc/gnus.texi
0002-nnimap.el-Add-support-for-IMAP-namespaces.patch:diff --git a/etc/NEWS b/etc/NEWS
0002-nnimap.el-Add-support-for-IMAP-namespaces.patch:diff --git a/lisp/gnus/nnimap.el b/lisp/gnus/nnimap.el
0003-Turn-nnimap-namespaces-into-a-defvoo-to-make-it-per-.patch:diff --git a/lisp/gnus/nnimap.el b/lisp/gnus/nnimap.el

Best,
-Nikolaus

-- 
GPG Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             »Time flies like an arrow, fruit flies like a Banana.«